{ pkgs, lib, config, ... }:

with lib;
{
  programs.steam.enable = true;
  hardware.opengl = {
    driSupport = true;
    driSupport32Bit = true;
  };
  environment.systemPackages = with pkgs; [
    airshipper
    lutris
    heroic
    protonup-qt
    winePackages.waylandFull
    winetricks
    gamescope
    # cemu
    yuzu
    mangohud
    openmw
    dwarfs
    fuse-overlayfs
    steam-run
  ];
}
